/// <reference types="node" />
export interface FileLoader {
    canHandleUri(baseUri: string): boolean;
    listFiles: (baseUri: string, recursive: boolean) => string[] | Promise<string[]>;
    loadFile: (baseUri: string, filename: string) => Buffer | Promise<Buffer>;
    initSaveProgress: (baseUri: string, overwrite: boolean) => void | Promise<void>;
    saveFile: (baseUri: string, filename: string, data: Buffer) => void | Promise<void>;
    markSaveSuccess: (baseUri: string) => void | Promise<void>;
}
